function qx = make_quantile(x,num_quantiles)
% function qx = make_quantile(x,num_quantiles)
% 
%  transforms x column-wise into integers between 1:num_quantiles, where qx is
%  the quantile of x within its own distribution. 

qx = NaN(size(x,1),size(x,2)); 

for col = 1:size(x,2)
    this_x = x(:,col); 
    for quantile_val = 1:num_quantiles
        selector = this_x >= quantile(this_x,(quantile_val-1)/num_quantiles) & ...
            this_x < quantile(this_x,quantile_val / num_quantiles); 
        if(quantile_val == num_quantiles)
            selector = this_x >= quantile(this_x,(num_quantiles-1)/num_quantiles); 
        end
        qx( selector, col) = quantile_val; 
    end
end